Issue 1437 darcs changes --max-count

Title darcs changes --max-count
Priority feature Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, gwern, jaredj, kowey, thorkilnaur
Assigned To
Topics ProbablyEasy

Created on 2009-04-14.09:18:42 by kowey, last changed 2009-08-27.14:19:53 by admin.

msg7695 (view) Author: kowey Date: 2009-04-14.09:18:39
We have darcs changes --last and --index which count in the global patch set. 
These switches don't interact with other matchers in the way that a lot of users
expect.  What these users really want is something like a --max-count switch
which filters AFTER the matchers have been applied and not simultaneously.

If we're clever, it may be possible to make darcs changes --max-count=1 faster
than darcs changes | head 1

See http://bugs.darcs.net/issue92
msg7696 (view) Author: gwern Date: 2009-04-14.12:18:14
In my informal benchmarking, --last 1 was several times faster than darcs
changes | head 1 (or the xml equivalent); so that should be very possible.
msg7743 (view) Author: kowey Date: 2009-04-22.15:16:38
The following patch updated the status of issue1437 to be resolved:

* resolve issue1437: Implement darcs changes --max-count. 
Ignore-this: c244ccdcd6e7c722b27f45310209cef2
Date User Action Args
2009-04-14 09:18:42koweycreate
2009-04-14 09:22:12koweysettopic: + ProbablyEasy
nosy: + jaredj
2009-04-14 12:18:17gwernsetstatus: unread -> unknown
nosy: + gwern
messages: + msg7696
2009-04-15 16:52:31koweysetstatus: unknown -> needs-reproduction
nosy: kowey, simon, thorkilnaur, gwern, jaredj, dmitry.kurochkin
2009-04-22 15:16:41koweysetstatus: needs-reproduction -> resolved
nosy: kowey, simon, thorkilnaur, gwern, jaredj, dmitry.kurochkin
messages: + msg7743
2009-08-25 17:43:35adminsetnosy: + darcs-devel, - simon
2009-08-27 14:19:53adminsetnosy: kowey, darcs-devel, thorkilnaur, gwern, jaredj, dmitry.kurochkin